Subject: Re: bug#54986: [PATCH] gnu: mpd: Add support for socket activation.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 10 May 2023 17:14:14 +0200

Hi,

Liliana Marie Prikler <[email-masked]> skribis:

> Am Mittwoch, dem 03.05.2023 um 15:27 +0200 schrieb Ludovic Courtès:
>> It’s not just possible: several services in (gnu services …) and (gnu
>> home services …) use endpoints for systemd or inetd-style startup.
> True, but to my knowledge they don't yet allow the user to specify
> those endpoints directly.  At the very least, they didn't when I
> started this thread, which was shortly after shepherd itself gained
> endpoints.  I'm happy to be proven wrong on this point.

They don’t let users specify the endpoints as such, but closely enough.
For instance, the ‘interface’ field of <bitlbee-configuration> is used
to build it endpoint, and similarly for ‘openssh’ and ‘dicod’.

Overall, it seems to me we don’t need a first-class <endpoint> type in
Guix System itself.

I hope that makes sense!

Ludo’.